Subject: Re: linux-next: manual merge of the arm tree with Linus' tree

From: Russell King <[email-masked]>
Date: Tue, 13 Mar 2012 08:58:47 +0000

On Tue, Mar 13, 2012 at 09:48:03AM +0100, Ingo Molnar wrote:
> 
> * Russell King <[email-masked]> wrote:
> 
> > Please check your mailbox:
> > 
> > Date: Fri, 20 Jan 2012 17:42:27 +0000
> > From: Catalin Marinas <[email-masked]>
> > To: [email-masked], [email-masked]
> > Cc: Russell King <[email-masked]>, Ingo Molnar <[email-masked]>,
> >         Peter Zijlstra <[email-masked]>,
> >         Will Deacon <[email-masked]>,
> >         Frank Rowand <[email-masked]>
> > Subject: [PATCH v3 1/6] sched: Introduce the finish_arch_post_lock_switch()
> >         scheduler hook
> 
> Btw., are you losing emails? Because the reply from peterz to 
> those patches, a month ago, was pretty clear:
> 
> > > Russell, what's the status of these patches? I'd like to see 
> > > them land in 3.4 if possible. I'm fine either way, I'll
> > >
> > > probably ask Ingo to pull your tree so that I can stack some 
> > > other patches on top.
> 
> You never replied to PeterZ's request, you just ignored this 
> scheduler maintainer request and you just did it in some random 
> way that was most convenient to you many weeks after the thread 
> died down, ignoring everyone else's concerns - a pretty usual 
> pattern from you I have to say.

Sigh.  You know, people communicate via other methods from time to time.
How the hell do you think PeterZ provided his ack for the patch?

Stop looking for people to blame.  Instead, if you failed to communicate
about how you wanted to handle the patch, blame yourself instead.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: